<div class="control-wrapper">
	<button
		mat-icon-button
		*ngIf="mediaService.videoStreamSubject.value.length === 0"
		[matMenuTriggerFor]="videoMenu"
		aria-label="Start video sharing"
		matTooltip="{{ 'simple.shareVideo' | translate }}"
	>
		<mat-icon>videocam_off</mat-icon>
	</button>
	<button
		mat-icon-button
		*ngIf="mediaService.videoStreamSubject.value.length > 0"
		(click)="this.mediaService.startVideoStream()"
		aria-label="Manage video sharing"
		matTooltip="{{ 'simple.manageVideo' | translate }}"
	>
		<mat-icon>videocam</mat-icon>
	</button>
	<button
		mat-icon-button
		*ngIf="mediaService.screenStreamSubject.value.length === 0"
		(click)="this.mediaService.startScreenStream()"
		aria-label="Start screen sharing"
		matTooltip="{{ 'simple.shareScreen' | translate }}"
	>
		<mat-icon>stop_screen_share</mat-icon>
	</button>
	<button
		mat-icon-button
		*ngIf="mediaService.screenStreamSubject.value.length > 0"
		[matMenuTriggerFor]="screenMenu"
		aria-label="Manage screen sharing"
		matTooltip="{{ 'simple.manageScreen' | translate }}"
	>
		<mat-icon>screen_share</mat-icon>
	</button>
	<button
		mat-icon-button
		(click)="mediaService.toggleSpeaker()"
		aria-label="Mute/Unmute volume"
		matTooltip="{{ ((mediaService.speakerMutedSubject | async) ? 'simple.volumeUnmute' : 'simple.volumeMute') | translate }}"
	>
		<mat-icon>{{ (mediaService.speakerMutedSubject | async) ? 'volume_off' : 'volume_up' }}</mat-icon>
	</button>
	<button
		mat-icon-button
		(click)="mediaService.toggleMicrophone()"
		aria-label="Mute/Unmute microphone"
		matTooltip="{{
			((mediaService.microphoneStreamSubject | async) && !(mediaService.microphoneMutedSubject | async)
				? 'simple.microphoneMute'
				: 'simple.microphoneUnmute'
			) | translate
		}}"
	>
		<mat-icon>{{
			(mediaService.microphoneStreamSubject | async) && !(mediaService.microphoneMutedSubject | async) ? 'mic' : 'mic_off'
		}}</mat-icon>
	</button>
	<button mat-icon-button (click)="callService.leaveCall()" aria-label="End call" matTooltip="{{ 'simple.endCall' | translate }}">
		<mat-icon color="warn">call_end</mat-icon>
	</button>
</div>

<mat-menu #videoMenu xPosition="before">
	<button *ngFor="let stream of mediaService.videoStreamSubject.value" mat-menu-item (click)="mediaService.stopVideoStream(stream)">
		<mat-icon>videocam_off</mat-icon>
		<span>{{ stream.getTracks()[0]?.label || ('simple.unknownStream' | translate) }}</span>
	</button>
	<button mat-menu-item (click)="mediaService.startVideoStream()">
		<mat-icon>add</mat-icon>
		<span>{{ 'simple.shareVideo' | translate }}</span>
	</button>
</mat-menu>

<mat-menu #screenMenu xPosition="before" disabled="true">
	<button *ngFor="let stream of mediaService.screenStreamSubject.value" mat-menu-item (click)="mediaService.stopScreenStream(stream)">
		<mat-icon>stop_screen_share</mat-icon>
		<span>{{ stream.getTracks()[0]?.label || ('simple.unknownStream' | translate) }}</span>
	</button>
	<button mat-menu-item (click)="mediaService.startScreenStream()">
		<mat-icon>add</mat-icon>
		<span>{{ 'simple.shareScreen' | translate }}</span>
	</button>
</mat-menu>
